#ifndef LOADRUNABLE_H
#define LOADRUNABLE_H

#include <QRunnable>
#include <QString>
#include "imageinfo.h"

bool readFITSHeader(const QString &path, ImageInfoData &info);
bool readXISFHeader(const QString &path, ImageInfoData &info);

class Image;

class LoadRunable : public QRunnable
{
    QString m_file;
    Image *m_receiver;
    AnalyzeLevel m_analyzeLevel;
public:
    LoadRunable(const QString &file, Image *receiver, AnalyzeLevel level);
    void run();
};

#endif // LOADRUNABLE_H
